"use strict";
var $ = function(id) { 
	return document.getElementById(id); 
};

var processEntries = function() {
	var isValid = true;
	
	// get values for user entries   
    var email = $("email_address").value;
    var phone = $("phone").value;
    var country = $("country").value;

    var terms = $("terms").checked;

    // check user entries for validity
    if (email == "") {
		//this also works
		//$("email_address").nextElementSibling.firstChild.nodeValue = "This field is required.";
		$("email_address").nextElementSibling.innerHTML = "This field is required.";
		isValid = false;
    }
	else {
		$("email_address").nextElementSibling.innerHTML = "";	
	}
	if (phone == "") {
        $("phone").nextElementSibling.innerHTML = "This field is required.";
		isValid = false;
    }
	else {
		$("phone").nextElementSibling.innerHTML = "";	
	}
    if (country == "") {
        $("country").nextElementSibling.innerHTML = "Please select a country.";
		isValid = false;
    }
	else {
		$("country").nextElementSibling.innerHTML = "";	
	}
	if (terms == false) {
        $("terms").nextElementSibling.innerHTML = "This box must be checked.";
		isValid = false;
    }
	else {
		$("terms").nextElementSibling.innerHTML = "";	
	}
	if (isValid == true) {
		$("registration_form").submit();
	}
};
var resetForm = function() {
    $("registration_form").reset();
	$("email_address").nextElementSibling.innerHTML = "*";
	$("phone").nextElementSibling.innerHTML = "*";	
	$("country").nextElementSibling.innerHTML = "*";	
	$("terms").nextElementSibling.innerHTML = "*";
    $("email_address").focus();
};

window.onload = function() {
    $("register").onclick = processEntries;
    $("reset_form").onclick = resetForm;    
    $("email_address").focus();
};